Skip to main content
GET
C#
This endpoint requires the payouts.read scope.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-gr4vy-merchant-account-id
string

The ID of the merchant account to use for this request.

Example:

"default"

Path Parameters

payout_id
string<uuid>
required

Response

Successful Response

PayoutSummary

Represents a summary of a payout.

amount
integer
required

The monetary amount for this payout, in the smallest currency unit for the given currency, for example 1299 cents to create an authorization for $12.99.

Example:

1299

created_at
string<date-time>
required

The date this payout was created at.

Example:

"2013-07-16T19:23:00.000+00:00"

currency
string
required

A supported ISO-4217 currency code.

Pattern: ^[A-Z]{3}$
Examples:

"EUR"

"GBP"

"USD"

payment_method
TransactionPaymentMethod · object
required

The payment method used for this payout.

payment_service
PayoutPaymentService · object
required

The payment service used for this payout.

status
string
required

The status of the payout.

Example:

"succeeded"

updated_at
string<date-time>
required

The date this payout was last updated at.

Example:

"2013-07-16T19:23:00.000+00:00"

type
string
default:payout

Always payout.

Allowed value: "payout"
Example:

"payout"

id
string<uuid> | null

The ID for the payout.

Example:

"6f96a57e-a35b-4f98-b192-d298995f811a"

buyer
TransactionBuyer · object | null

The buyer used for this payout.

category
string | null

The type of payout to process.

Example:

"online_gambling"

external_identifier
string | null

The merchant identifier for this payout.

Required string length: 1 - 200
Example:

"payout-12345"

merchant
PayoutMerchantSummary · object | null

The merchant details associated to this payout.

merchant_account_id
string | null

The ID of the merchant account this payout was created for.

Example:

"default"

payment_service_payout_id
string | null

The ID of the payout in the underlying payment service.

Required string length: 1 - 200
Example:

"pout-12345"